apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Erenkrantz <jerenkra...@apache.org>
Subject Re: expat config.*
Date Fri, 19 Apr 2002 21:01:06 GMT
On Fri, Apr 19, 2002 at 01:52:30PM -0700, Aaron Bannert wrote:
> ** I'm very concerned that we have GPL software checked in to our
> repository. config.guess and config.sub are both covered by the GPL.
> There is a special exception that, by my reading, allows us to
> *redistribute* the file, but not modify it! I think we need to think
> again about including these modified versions in our distributions.
> (Hopefully my reading of this is off, but let's be very clear about
> what we're doing here.)

The reason we have local modifications is that we often support
OSes that the GNU people do not yet support.  Most of the changes
seem to be related to IBM platforms.  It would be best if our
changes got merged in upstream.  Note that our changes are
specifically under public domain - not under our traditional
Apache License.

Sounds like we need our GNU liasion here.  =)  

Relying on the version on the rolling system caused us the PRs in
2.0.35 - icarus's config.{guess|sub} are woefully out-of-date and
caused more than a few PRs to be filed.  When I rolled 2.0.32, my
files were up-to-date so we didn't have as many problems as when
we rolled on icarus.  So, if we continue to want to roll on a
box with out-of-date GNU tools, we *must* have current versions
of these files in CVS to avoid problems.  -- justin

Mime
View raw message